post
/v1/edge/logs/pump
https://platform.sitepro.com/v1/edge/logs/pump
Submit a pump log
Sample Request Body
{ "sitePumpID": 123, "timestamp": "2024-01-01T00:00:00.000Z", "startTimestamp": "2023-12-31T23:00:00.000Z", "frequency": 60, "outputCurrent": 12.5, "outputVoltage": 230, "pressure": 150, "suctionPressure": 80, "vibrationLevel": 1.2, "igbtTemperature": 65, "capacitanceTemperature": 55, "autoEnabled": true, "fault": false, "underAlarm": false, "running": true, "active": true, "targetConcentration": 10, "actualConcentration": 9, "injectionRate": 5, "statusID": 2, "status": "Running" }
Expected responses
{ "description": "", "content": { "application/json": { "schema": { "type": "object", "properties": { "result": { "type": "string", "description": "Human-readable summary of what was processed. This is generic across all reading types, and may be augmented with additional fields in the future.", "example": "Reading processed successfully." } }, "required": [ "result" ] } } } }
Related schemas
| Name | Type | Example | Description |
|---|---|---|---|
| sitePumpID | number | 123 | |
| timestamp | string | 2024-01-01T00:00:00.000Z | |
| startTimestamp | string | 2023-12-31T23:00:00.000Z | |
| frequency | number | 60 | |
| outputCurrent | number | 12.5 | |
| outputVoltage | number | 230 | |
| pressure | number | 150 | |
| suctionPressure | number | 80 | |
| vibrationLevel | number | 1.2 | |
| igbtTemperature | number | 65 | |
| capacitanceTemperature | number | 55 | |
| autoEnabled | boolean | true | |
| fault | boolean | Â | |
| underAlarm | boolean | Â | |
| running | boolean | true | |
| active | boolean | true | |
| targetConcentration | number | 10 | |
| actualConcentration | number | 9 | |
| injectionRate | number | 5 | |
| statusID | number | 2 | Possible values: 0, 1, 2, 3, 4, 5, 6, 7, 8 |
| status | string | Running |
curl -X POST -H "Authorization: Bearer <JWT_Token>" -H "Content-Type: application/json" -d '{ "sitePumpID": 123, "timestamp": "2024-01-01T00:00:00.000Z", "startTimestamp": "2023-12-31T23:00:00.000Z", "frequency": 60, "outputCurrent": 12.5, "outputVoltage": 230, "pressure": 150, "suctionPressure": 80, "vibrationLevel": 1.2, "igbtTemperature": 65, "capacitanceTemperature": 55, "autoEnabled": true, "fault": false, "underAlarm": false, "running": true, "active": true, "targetConcentration": 10, "actualConcentration": 9, "injectionRate": 5, "statusID": 2, "status": "Running" }' "https://platform.sitepro.com/v1/edge/logs/pump"
Authorization
Bearer
Properties
Warning: This endpoint can affect production data.